For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get tenant details

Internal endpoint for details for a tenant.

get
/tenants/{tenantUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
countryCodestringRequired
createdAtstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
namestringRequired
pricelistUidstringRequiredPattern: ^[A-Za-z0-9-_]*
tenantUidstringRequiredPattern: ^[A-Za-z0-9-_]+
vatNumberstringRequired

VAT identification number for value added tax reporting purposes.

timezonestringRequired

The timezone in tz/zoneinfo format. Example: Europe/Oslo

languageCodestringRequired

ISO 639-1 code for language

get/tenants/{tenantUid}
GET /v2/tenants/{tenantUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "countryCode": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "name": "text",
  "pricelistUid": "text",
  "tenantUid": "text",
  "vatNumber": "text",
  "settings": {
    "allowExternalCashDrawer": false,
    "autoLogout": 1,
    "autoPrintReceipt": true,
    "numericSkuCounter": 1,
    "printCardPaymentDetails": false,
    "sendInvoicesExternally": true,
    "duplicateCheckCustomerPhoneNumber": true,
    "duplicateCheckCustomerVatNumber": true,
    "useOriginalSellerOnCreditLine": true,
    "defaultCustomerGroupUid": "text",
    "printReceiptNumber": true,
    "requiredCustomerFields": [
      "email"
    ],
    "requiredCompanyFields": [
      "email"
    ],
    "requiredCompanyDepartmentFields": [
      "email"
    ],
    "requiredContactFields": [
      "email"
    ],
    "enforceStrongPin": true,
    "customerContactsRequiresEmail": true,
    "customerContactsEmailDuplicateCheck": true
  },
  "appSettings": {
    "showOutOfStockWarning": true,
    "defaultParkedOrderLifespanDays": 1,
    "requirePinCodeForSale": true,
    "requirePinCodeForCredit": true,
    "autoSendWelcomeSms": true,
    "autoSendWelcomeMail": true,
    "defaultCustomerGroupUid": "text",
    "helpUrl": "https://example.com"
  },
  "extensions": [
    {
      "extensionCode": "FLOWGIFTCARD",
      "name": "text",
      "active": true,
      "tenantExtensionUid": "text"
    }
  ],
  "assets": {
    "logo": {
      "url": "text",
      "assetUid": "text"
    },
    "splash": {
      "url": "text",
      "assetUid": "text"
    }
  },
  "timezone": "text",
  "languageCode": "text",
  "currency": {
    "code": "text",
    "name": "text",
    "symbol": "text",
    "symbolPosition": "text",
    "decimalSeparator": "text",
    "thousandSeparator": "text",
    "cashRounding": 1
  }
}

Last updated

Was this helpful?